Bug 63413 - /etc/rc.sysinit can't set parameters for cdrom
Summary: /etc/rc.sysinit can't set parameters for cdrom
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 63415
TreeView+ depends on / blocked
 
Reported: 2002-04-13 14:01 UTC by Bryce Nesbitt
Modified: 2014-03-17 02:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-13 14:09:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bryce Nesbitt 2002-04-13 14:01:57 UTC
/etc/rc.sysinit, for no good reason, restricts seting of ide drive paramters to
media type "disk".  Often a "cdrom" will require the exact same treatment (for
example, to disable DMA).

Something like this is required:


<if [ "$hdmedia" = "disk" ]; then
---
>if [ "$hdmedia" = "disk" ] || [ "$hdmedia" = "cdrom" ]; then

(note that you actually have to move it a little later, after the device is
mounted).

Comment 1 Bill Nottingham 2002-04-15 02:34:41 UTC
A similar tweak will be in 6.64-1; it will set parameters for any media IFF
there is a specific config file for that device.


Note You need to log in before you can comment on or make changes to this bug.